Subject: Re: [PATCH bpf v3 3/7] netdevsim: Add debugfs toggle to reject BPF programs in verifier

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 09 Dec 2020 14:51:44 +0100

Toke Høiland-Jørgensen <[email-masked]> writes:

> From: Toke Høiland-Jørgensen <[email-masked]>
>
> This adds a new debugfs toggle ('bpf_bind_verifier_accept') that can be
> used to make netdevsim reject BPF programs from being accepted by the
> verifier. If this toggle (which defaults to true) is set to false,
> nsim_bpf_verify_insn() will return EOPNOTSUPP on the last
> instruction (after outputting the 'Hello from netdevsim' verifier message).
>
> This makes it possible to check the verification callback in the driver
> from test_offload.py in selftests, since the verifier now clears the
> verifier log on a successful load, hiding the message from the driver.
>
> Fixes: 6f8a57ccf85 ("bpf: Make verifier log more relevant by default")

Ugh, the patchwork bot pointed out that I somehow managed to truncate
the commit ID here; apologies, will send a v4.

-Toke